require "lunit"

is = lunit.assert_equal

function assert_isa(actual, class)
    lunit.assert_table(actual)
    lunit.assert_table(class)
    local mt = actual
    while true do
        mt = getmetatable(mt)
        if not mt then error"class not found as metatable at any level" end
        if mt == actual then error"circular metatables" end
        if mt == class then return nil end
    end
end

-- vi:ts=4 sw=4 expandtab
